import { createApp } from "vue";

import { setupStore } from "@/stores";

import "./assets/style/main.css";
import "element-plus/dist/index.css";

import ElementPlus from "element-plus";
import zhCn from "element-plus/es/locale/lang/zh-cn";

import { setupAuth, setupMountedFocus } from "@/directives";

import App from "./App.vue";
import router from "./router";

const app = createApp(App);

setupStore(app);
setupAuth(app);
setupMountedFocus(app);

app.use(ElementPlus, {
  locale: zhCn,
});

app.use(router);

app.mount("#app");
